#### 7.10.2.14 crystallographicGroupC2MM

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  crystallographicGroupC2MM(d); d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - c2mm group with the following presentation
  < x, y, m, r | [x, y] = m^2 = r^2 = 1, m^(-1)*y*m = y^(-1), m^(-1)*x*m = x*y, r^(-1)*y*r = y^(-1), r^(-1)*x*r = x^(-1), m^(-1)*r*m = r^(-1) > - d gives the degreebound for the Letterplace ring

Example:

    LIB "fpalgebras.lib";
    def R = crystallographicGroupC2MM(5); setring R;
    I;
    ==> I[1]=y*x+x*y+1
    ==> I[2]=y*x+x*y+m*m
    ==> I[3]=y*x+x*y+r*r
    ==> I[4]=m*m+1
    ==> I[5]=r*r+1
    ==> I[6]=m*m+r*r
    ==> I[7]=m*y*m+Y
    ==> I[8]=m*x*m+x*y
    ==> I[9]=r*y*r+Y
    ==> I[10]=r*x*r+X
    ==> I[11]=m*r*m+r
    ==> I[12]=X*x+1
    ==> I[13]=x*X+1
    ==> I[14]=Y*y+1
    ==> I[15]=y*Y+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.